<mat-toolbar>
  <button mat-button [matMenuTriggerFor]="menu">
    <fa-icon [icon]="faCircleDown" matTooltip="Menu"></fa-icon>
  </button>
  <mat-menu #menu="matMenu">
    <button mat-menu-item class="auth-button" id="sign-out" *ngIf="toolbarService.visible" (click)="signOut()">
      <fa-icon [icon]="faSignOut" matTooltip="Log out"></fa-icon>
    </button>
    <button mat-menu-item (click)="goToAllElements()">
      All Elements
    </button>
  </mat-menu>

  <h1>{{toolbarService.welcomeText}}</h1>
</mat-toolbar>
